/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: IndexNotFoundException.java,v 1.3 2006/02/15 16:23:59 rampil Exp $
 */
package org.logical_paradox.koike.core.indexer;

/**
 * 指定されたインデックスがインデックスシステム上に存在しないことを意味する例外
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class IndexNotFoundException extends IndexAccessException {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = 5634812864235596475L;

	/**
	 * コンストラクタ
	 */
	public IndexNotFoundException() {
	}
	/**
	 * コンストラクタ
	 * @param msg メッセージ
	 */
	public IndexNotFoundException(String msg) {
		super(msg);
	}
	/**
	 * コンストラクタ
	 * @param e 元になった例外
	 */
	public IndexNotFoundException(Exception e) {
		super(e);
	}
}
